Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create emoji

POST/workspaces/{organizationId}/emojis
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
shortcutstringrequired
min length 1
urlstring<uri>required
Responses
201

Emoji created

idstringrequired
organizationIdstringrequired
namestringrequired
shortcutstringrequired
urlstringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/emojis' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "shortcut": "string",
  "url": "http://example.com"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "shortcut": "string",
  "url": "string",
  "createdAt": "string"
}

Was this page helpful?